## sddm-kcm 5.1.95

=== CMakeLists.txt ===
project(sddm-kcm)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(PROJECT_VERSION "5.1.95")
set(QT_MIN_VERSION "5.3.0")
find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Designer X11Extras Quick QuickWidgets)

find_package(KF5 REQUIRED COMPONENTS
    CoreAddons
    I18n
    XmlGui
    Auth
    ConfigWidgets
    KIO
)


find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB
)


add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")

install(FILES kcm_sddm.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

kauth_install_actions(org.kde.kcontrol.kcmsddm kcm_sddm.actions)

add_executable(kcmsddm_authhelper sddmauthhelper.cpp)
target_link_libraries(kcmsddm_authhelper KF5::Auth KF5::ConfigCore)

kauth_install_helper_files(kcmsddm_authhelper org.kde.kcontrol.kcmsddm root)
install(TARGETS kcmsddm_authhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

add_subdirectory(src)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
sddm-kcm (4:5.1.95-0ubuntu1) vivid; urgency=medium

  [ Paulo Dias ]
  * First Build for kf5.

  [ Harald Sitter ]
  * Align all debian/ files with what we had in Kubuntu utopic

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 13:25:50 +0100

sddm-kcm (0.2.0~git20141020-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Oct 2014 17:10:45 +0200

sddm-kcm (0.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Sep 2014 15:48:41 +0200

sddm-kcm (0~git20140829-0ubuntu1) utopic; urgency=low

  [ Harald Sitter ]
  * Initial release.

  [ Scarlett Clark ]
  * New git snapshot

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 29 Jul 2014 13:58:49 +0200

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               kio-dev,
               libkf5auth-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5xmlgui-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcursor-dev,
               pkg-kde-tools,
               qtdeclarative5-dev,
               qttools5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm/repository

Package: kde-config-sddm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

Package: kde-config-sddm-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-config-sddm (= ${binary:Version}), ${misc:Depends}
Description: KCM module for SDDM -- debugging symbols
 KDE systemsettings module to configure SDDM login manager.
 .
 This package contains debugging symbols.

## sddm-kcm 5.2.0

=== debian/changelog ===
sddm-kcm (4:5.2.0-0ubuntu2) vivid; urgency=medium

  * Fix maintainer field

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jan 2015 11:15:08 +0100

sddm-kcm (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 15:01:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sddm-kcm
 Section: kde
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Harald Sitter <apachelogger@kubuntu.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                extra-cmake-modules,

## sddm-kcm 5.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.1.95")
+set(PROJECT_VERSION "5.2.1")
 set(QT_MIN_VERSION "5.3.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== debian/changelog ===
sddm-kcm (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Add new depends to control. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:50:32 -0800

## sddm-kcm 5.2.2

=== debian/changelog ===
sddm-kcm (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:45:44 -0700

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: kde
 Priority: extra
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+XSBC-Original-Maintainer: Harald Sitter <apachelogger@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                extra-cmake-modules,
@@ -15,7 +16,9 @@
                libx11-dev,
                libxcb-image0-dev,
                libxcb-shm0-dev,
+               libxcb-xkb-dev,
                libxcursor-dev,
+               pkg-config,
                pkg-kde-tools,
                qtdeclarative5-dev,
                qttools5-dev

## sddm-kcm 5.3.1

=== debian/changelog ===
sddm-kcm (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:54:07 +0200

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,8 @@
                qttools5-dev
 Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm/repository
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/sddm-kcm.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/sddm-kcm.git
 
 Package: kde-config-sddm
 Architecture: any

## sddm-kcm 5.3.2

=== debian/changelog ===
sddm-kcm (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 15:33:19 +0200

sddm-kcm (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:53 +0100

sddm-kcm (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 Feb 2015 14:42:38 +0100

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0),
               kio-dev,
               libkf5auth-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5xmlgui-dev,
               libqt5x11extras5-dev (>= 5.4.0~),
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/sddm-kcm.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/sddm-kcm.git

Package: kde-config-sddm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

Package: kde-config-sddm-dbg
Section: debug
Priority: extra
Architecture: any
Depends: kde-config-sddm (= ${binary:Version}), ${misc:Depends}
Description: KCM module for SDDM -- debugging symbols
 KDE systemsettings module to configure SDDM login manager.
 .
 This package contains debugging symbols.

## sddm-kcm 5.3.95

=== debian/changelog ===
sddm-kcm (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:23:15 +0200

sddm-kcm (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:38:59 +0000

sddm-kcm (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:56:57 +0200

## sddm-kcm 5.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.2.1")
-set(QT_MIN_VERSION "5.3.0")
+set(PROJECT_VERSION "5.4.0")
+set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(ECMInstallIcons)
@@ -51,5 +51,8 @@
 
 add_subdirectory(src)
 
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== debian/changelog ===
sddm-kcm (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:58:20 +0100

## sddm-kcm 5.4.1

=== debian/changelog ===
sddm-kcm (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:27:20 +0100

## sddm-kcm 5.4.2

=== debian/changelog ===
sddm-kcm (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 16:03:49 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,10 @@
                libx11-dev,
                libxcb-image0-dev,
                libxcb-shm0-dev,
+               libxcb-xkb-dev,
                libxcb1-dev,
                libxcursor-dev,
+               pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.4.0~),
                qtdeclarative5-dev (>= 5.4.0~),

## sddm-kcm 5.4.3

=== debian/changelog ===
sddm-kcm (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:50:34 +0100

## sddm-kcm 5.5.4

=== debian/changelog ===
sddm-kcm (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master 

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 22:43:20 +0100

sddm-kcm (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:02 +0100

sddm-kcm (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:19 +0200

sddm-kcm (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:36 +0200

sddm-kcm (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 19:07:56 +0200

## sddm-kcm 5.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.4.0")
+set(PROJECT_VERSION "5.5.5")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== src/CMakeLists.txt ===
set(SDDM_CONFIG_FILE         "/etc/sddm.conf"             CACHE PATH      "Path of the sddm config file")
    
configure_file(config.h.in config.h IMMEDIATE @ONLY)
# add_subdirectory(configwidgets)

include_directories(configwidgets)

set(SDDM_KCM_SRCS
    sddmkcm.cpp
    themeconfig.cpp
    themesmodel.cpp
    thememetadata.cpp
    themesdelegate.cpp
    advanceconfig.cpp
    usersmodel.cpp
    sessionmodel.cpp
    cursortheme/thememodel.cpp
    cursortheme/xcursortheme.cpp
    cursortheme/cursortheme.cpp
    cursortheme/sortproxymodel.cpp
    cursortheme/dummytheme.cpp
    configwidgets/selectimagebutton.cpp
)

set(SDDM_KCM_UI
    ui/themeconfig.ui
    ui/advanceconfig.ui)

ki18n_wrap_ui(SDDM_KCM_SRCS ${SDDM_KCM_UI})
add_library(kcm_sddm MODULE ${SDDM_KCM_SRCS})
target_compile_definitions(kcm_sddm PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(kcm_sddm
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Quick
    Qt5::QuickWidgets
    KF5::I18n
    KF5::ConfigWidgets
    KF5::Auth
    KF5::KIOWidgets

    ${X11_LIBRARIES}
    XCB::XCB # For mouse cursor themes
)

if (X11_Xcursor_FOUND)
   target_link_libraries(kcm_sddm ${X11_Xcursor_LIB})
endif (X11_Xcursor_FOUND)
if (X11_Xfixes_FOUND)
   target_link_libraries(kcm_sddm ${X11_Xfixes_LIB})
endif (X11_Xfixes_FOUND)

install(TARGETS kcm_sddm DESTINATION ${CMAKE_INSTALL_PLUGINDIR})

install(FILES qml/main.qml DESTINATION ${CMAKE_INSTALL_DATADIR}/sddm-kcm)

=== debian/changelog ===
sddm-kcm (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 14 Apr 2016 14:03:42 -0700

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0),
-               kio-dev,
-               libkf5auth-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5auth-dev (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                libqt5x11extras5-dev (>= 5.4.0~),
                libx11-dev,
                libxcb-image0-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-config-sddm-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/sddm-kcm-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/sddm-kcm-([\d.]+)\.tar\.xz

## sddm-kcm 5.6.4

=== debian/changelog ===
sddm-kcm (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:31:58 -0700

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               libkf5auth-dev (>= 5.18.0~),
-               libkf5configwidgets-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5xmlgui-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.22.0~),
+               kio-dev (>= 5.22.0~),
+               libkf5auth-dev (>= 5.22.0~),
+               libkf5configwidgets-dev (>= 5.22.0~),
+               libkf5coreaddons-dev (>= 5.22.0~),
+               libkf5i18n-dev (>= 5.22.0~),
+               libkf5xmlgui-dev (>= 5.22.0~),
                libqt5x11extras5-dev (>= 5.4.0~),
                libx11-dev,
                libxcb-image0-dev,
@@ -27,8 +27,8 @@
                qttools5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/sddm-kcm.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/sddm-kcm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
 
 Package: kde-config-sddm
 Architecture: any

## sddm-kcm 5.7.2

=== debian/changelog ===
sddm-kcm (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:10:15 +0000

sddm-kcm (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 21:19:34 +0100

## sddm-kcm 5.7.5

=== debian/changelog ===
sddm-kcm (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:31:18 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.22.0~),
-               kio-dev (>= 5.22.0~),
-               libkf5auth-dev (>= 5.22.0~),
-               libkf5configwidgets-dev (>= 5.22.0~),
-               libkf5coreaddons-dev (>= 5.22.0~),
-               libkf5i18n-dev (>= 5.22.0~),
-               libkf5xmlgui-dev (>= 5.22.0~),
-               libqt5x11extras5-dev (>= 5.4.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5auth-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,
                libxcb-shm0-dev,
@@ -22,9 +22,9 @@
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.4.0~),
-               qtdeclarative5-dev (>= 5.4.0~),
-               qttools5-dev (>= 5.4.0~)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm

## sddm-kcm 5.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.4")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(ECMInstallIcons)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Designer X11Extras Quick QuickWidgets)
@@ -38,6 +38,7 @@
 
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 install(FILES kcm_sddm.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
sddm-kcm (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:39:05 +0100

sddm-kcm (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:24:57 +0200

sddm-kcm (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:00:01 +0200

sddm-kcm (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:07:22 +0200

sddm-kcm (4:5.8.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 Sep 2016 11:29:57 +0000

sddm-kcm (4:5.7.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Sep 2016 13:49:10 +0000

sddm-kcm (4:5.7.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove kde-config-sddm.install, no more used now
  * Remove unused debian/meta/upstream_scm.json stuff.

  [ Maximiliano Curia ]
  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:06:14 +0200

sddm-kcm (4:5.7.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Aug 2016 17:29:22 +0000

sddm-kcm (4:5.7.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2016 12:04:56 +0000

sddm-kcm (4:5.7.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Jul 2016 13:54:09 +0000

sddm-kcm (4:5.7.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 16:07:04 +0000

sddm-kcm (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 20:11:33 +0200

sddm-kcm (4:5.7.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Jul 2016 13:15:04 +0000

sddm-kcm (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 16:24:39 +0200

sddm-kcm (4:5.6.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Jun 2016 14:14:20 +0000

sddm-kcm (4:5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Force installing in debian/tmp
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 12:11:22 +0200

sddm-kcm (4:5.6.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 May 2016 09:41:58 +0000

sddm-kcm (4:5.6.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Apr 2016 16:54:54 +0000

sddm-kcm (4:5.6.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Apr 2016 11:44:43 +0000

sddm-kcm (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:11 +0100

sddm-kcm (4:5.5.4-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master 

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 27 Jan 2016 20:27:30 +0000

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5auth-dev (>= 5.18.0~),
               libkf5configwidgets-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5xmlgui-dev (>= 5.18.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/sddm-kcm.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/sddm-kcm.git

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.8.4")
+set(PROJECT_VERSION "5.8.5")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== debian/changelog ===
sddm-kcm (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:20 +0000

sddm-kcm (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian, dropping the -dbg package in the process

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:53:44 +0000

## sddm-kcm 5.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.8.5")
+set(PROJECT_VERSION "5.9.0")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -10,7 +10,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Designer X11Extras Quick QuickWidgets)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras Quick QuickWidgets)
 
 find_package(KF5 REQUIRED COMPONENTS
     CoreAddons
@@ -19,6 +19,8 @@
     Auth
     ConfigWidgets
     KIO
+    Archive
+    NewStuff
 )
 
 
@@ -45,12 +47,26 @@
 kauth_install_actions(org.kde.kcontrol.kcmsddm kcm_sddm.actions)
 
 add_executable(kcmsddm_authhelper sddmauthhelper.cpp)
-target_link_libraries(kcmsddm_authhelper KF5::Auth KF5::ConfigCore)
+target_link_libraries(kcmsddm_authhelper KF5::Auth KF5::ConfigCore KF5::Archive KF5::I18n)
 
 kauth_install_helper_files(kcmsddm_authhelper org.kde.kcontrol.kcmsddm root)
 install(TARGETS kcmsddm_authhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
 
+#installer tool for knewstuff
+add_executable(sddmthemeinstaller
+    sddmthemeinstaller.cpp
+)
+
+target_link_libraries(sddmthemeinstaller
+    KF5::I18n
+    KF5::Auth
+    KF5::CoreAddons
+    KF5::ConfigCore
+    KF5::WidgetsAddons)
+install(TARGETS sddmthemeinstaller ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+
 add_subdirectory(src)
+install(FILES sddmtheme.knsrc DESTINATION ${KDE_INSTALL_CONFDIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
sddm-kcm (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:32 +0000

sddm-kcm (4:5.8.4-0ubuntu2) UNRELEASED; urgency=medium

  * Add new build deps on libkf5newstuff-dev and libkf5archive-dev

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Dec 2016 09:10:16 +0000

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.30.0~),
               libkf5archive-dev (>= 5.30.0~),
               libkf5auth-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.1~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kio-dev (>= 5.30.0~),
               libkf5newstuff-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.9.1

=== debian/changelog ===
sddm-kcm (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:18:59 +0000

## sddm-kcm 5.9.2

=== debian/changelog ===
sddm-kcm (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:03 +0000

## sddm-kcm 5.9.3

=== debian/changelog ===
sddm-kcm (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:50:57 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.30.0~),
-               libkf5archive-dev (>= 5.30.0~),
-               libkf5auth-dev (>= 5.30.0~),
-               libkf5configwidgets-dev (>= 5.30.0~),
-               libkf5coreaddons-dev (>= 5.30.1~),
-               libkf5i18n-dev (>= 5.30.0~),
-               libkf5kio-dev (>= 5.30.0~),
-               libkf5newstuff-dev (>= 5.30.0~),
-               libkf5xmlgui-dev (>= 5.30.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5auth-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

## sddm-kcm 5.9.4

=== debian/changelog ===
sddm-kcm (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:56:59 +0000

## sddm-kcm 5.9.5

=== debian/changelog ===
sddm-kcm (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:30:42 +0100

## sddm-kcm 5.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.9.0")
+set(PROJECT_VERSION "5.10.0")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== debian/changelog ===
sddm-kcm (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:48:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5auth-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5newstuff-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.34.0~),
+               libkf5archive-dev (>= 5.34.0~),
+               libkf5auth-dev (>= 5.34.0~),
+               libkf5configwidgets-dev (>= 5.34.0~),
+               libkf5coreaddons-dev (>= 5.34.0~),
+               libkf5i18n-dev (>= 5.34.0~),
+               libkf5kio-dev (>= 5.34.0~),
+               libkf5newstuff-dev (>= 5.34.0~),
+               libkf5xmlgui-dev (>= 5.34.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

## sddm-kcm 5.10.1

=== debian/changelog ===
sddm-kcm (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:28 +0100

## sddm-kcm 5.10.2

=== debian/changelog ===
sddm-kcm (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:11:45 +0100

## sddm-kcm 5.10.3

=== debian/changelog ===
sddm-kcm (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.34.0~),
-               libkf5archive-dev (>= 5.34.0~),
-               libkf5auth-dev (>= 5.34.0~),
-               libkf5configwidgets-dev (>= 5.34.0~),
-               libkf5coreaddons-dev (>= 5.34.0~),
-               libkf5i18n-dev (>= 5.34.0~),
-               libkf5kio-dev (>= 5.34.0~),
-               libkf5newstuff-dev (>= 5.34.0~),
-               libkf5xmlgui-dev (>= 5.34.0~),
+               extra-cmake-modules (>= 5.35.0~),
+               libkf5archive-dev (>= 5.35.0~),
+               libkf5auth-dev (>= 5.35.0~),
+               libkf5configwidgets-dev (>= 5.35.0~),
+               libkf5coreaddons-dev (>= 5.35.0~),
+               libkf5i18n-dev (>= 5.35.0~),
+               libkf5kio-dev (>= 5.35.0~),
+               libkf5newstuff-dev (>= 5.35.0~),
+               libkf5xmlgui-dev (>= 5.35.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

## sddm-kcm 5.10.4

=== debian/changelog ===
sddm-kcm (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.35.0~),
-               libkf5archive-dev (>= 5.35.0~),
-               libkf5auth-dev (>= 5.35.0~),
-               libkf5configwidgets-dev (>= 5.35.0~),
-               libkf5coreaddons-dev (>= 5.35.0~),
-               libkf5i18n-dev (>= 5.35.0~),
-               libkf5kio-dev (>= 5.35.0~),
-               libkf5newstuff-dev (>= 5.35.0~),
-               libkf5xmlgui-dev (>= 5.35.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               libkf5archive-dev (>= 5.36.0~),
+               libkf5auth-dev (>= 5.36.0~),
+               libkf5configwidgets-dev (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5newstuff-dev (>= 5.36.0~),
+               libkf5xmlgui-dev (>= 5.36.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

## sddm-kcm 5.10.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.10.0")
+set(PROJECT_VERSION "5.10.5")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== debian/changelog ===
sddm-kcm (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:09 +0100

## sddm-kcm 5.11.3

=== debian/changelog ===
sddm-kcm (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               libkf5archive-dev (>= 5.36.0~),
-               libkf5auth-dev (>= 5.36.0~),
-               libkf5configwidgets-dev (>= 5.36.0~),
-               libkf5coreaddons-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5kio-dev (>= 5.36.0~),
-               libkf5newstuff-dev (>= 5.36.0~),
-               libkf5xmlgui-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.40.0~),
+               libkf5archive-dev (>= 5.40.0~),
+               libkf5auth-dev (>= 5.40.0~),
+               libkf5configwidgets-dev (>= 5.40.0~),
+               libkf5coreaddons-dev (>= 5.40.0~),
+               libkf5i18n-dev (>= 5.40.0~),
+               libkf5kio-dev (>= 5.40.0~),
+               libkf5newstuff-dev (>= 5.40.0~),
+               libkf5xmlgui-dev (>= 5.40.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

## sddm-kcm 5.11.4

=== debian/changelog ===
sddm-kcm (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:17:10 -0600

## sddm-kcm 5.11.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.10.5")
+set(PROJECT_VERSION "5.11.5")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== debian/changelog ===
sddm-kcm (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:40:23 +0000

## sddm-kcm 5.12.1

=== debian/changelog ===
sddm-kcm (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:12 +0100

sddm-kcm (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:59 +0100

sddm-kcm (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:15 +0100

sddm-kcm (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:25 -0300

sddm-kcm (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:49 +0200

sddm-kcm (4:5.10.5-1) experimental; urgency=medium

  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Sync debian/watch with neon
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:58 +0200

sddm-kcm (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:24 +0100

## sddm-kcm 5.12.2

=== debian/changelog ===
sddm-kcm (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:44:09 +0000

sddm-kcm (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:14:10 +0000

sddm-kcm (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:38 +0000

## sddm-kcm 5.12.3

=== debian/changelog ===
sddm-kcm (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:34 +0000

## sddm-kcm 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.11.5")
+set(PROJECT_VERSION "5.12.4")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 set(SDDM_CONFIG_FILE         "/etc/sddm.conf"             CACHE PATH      "Path of the sddm config file")
-    
+
 configure_file(config.h.in config.h IMMEDIATE @ONLY)
 # add_subdirectory(configwidgets)
 
@@ -39,6 +39,7 @@
     KF5::ConfigWidgets
     KF5::Auth
     KF5::KIOWidgets
+    KF5::NewStuff
 
     ${X11_LIBRARIES}
     XCB::XCB # For mouse cursor themes

=== debian/changelog ===
sddm-kcm (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:56:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.40.0~),
-               libkf5archive-dev (>= 5.40.0~),
-               libkf5auth-dev (>= 5.40.0~),
-               libkf5configwidgets-dev (>= 5.40.0~),
-               libkf5coreaddons-dev (>= 5.40.0~),
-               libkf5i18n-dev (>= 5.40.0~),
-               libkf5kio-dev (>= 5.40.0~),
-               libkf5newstuff-dev (>= 5.40.0~),
-               libkf5xmlgui-dev (>= 5.40.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               libkf5archive-dev (>= 5.42.0~),
+               libkf5auth-dev (>= 5.42.0~),
+               libkf5configwidgets-dev (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5kio-dev (>= 5.42.0~),
+               libkf5newstuff-dev (>= 5.42.0~),
+               libkf5xmlgui-dev (>= 5.42.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-config-sddm-dbg (<= 4:5.5.5-1~~)'

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma/([\d.]+)/sddm-kcm-([\d.]+)\.tar\.xz

## sddm-kcm 5.12.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.5")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== debian/changelog ===
sddm-kcm (4:5.12.5-0ubuntu2) cosmic; urgency=medium

  * Rebuild against kauth 5.47, for altered kauth helper binary
    installation paths

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 20:20:51 +0100

sddm-kcm (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:25:26 +0100

## sddm-kcm 5.12.6

=== debian/changelog ===
sddm-kcm (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:32:26 +0100
